<template>
	<view class="list-container order-sale supplier">
		<view class="component-tab-container m-t-12">
			<view class="tab-item" :class="[tabIndex==0?'cur':'']" @click="changeIndex(0)">本月</view>
			<view class="tab-item" :class="[tabIndex==1?'cur':'']" @click="changeIndex(1)">全部</view>
		</view>
		<view class="p15" style="min-height: calc(100vh - 160rpx);">
			<no-data v-if="!list||list.length==0" style="width: 100%;"></no-data>
			<view v-for="(item,index) in list" :key="index" @click="toDetail(item)"
				class="m-b-24 order-sale-list list-container">
				<view class="order-sale-item br-4 list-item bg-white">
					<view class="title flex">
						<view class="title">
							<image src="/static/common/icon-date.png" class="icon-date m-r-10 image"></image>
							转账日期:{{item.createTime}}
						</view>
						<!-- <view class="m-l-a m-r-0 status">审核状态：{{item.auditStatusStr}}</view> -->
					</view>
					<view class="line"></view>
					<view class="form">
					<!-- 	<view class="flex">
							<view class="form-item flex1">
								<view class="label">结算对象</view>
								<view class="value">{{item.userName||''}}</view>
							</view>
							<view class="form-item flex1">
								<view class="label"></view>
								<view class="value"></view>
							</view>
						</view> -->
						<view class="flex">
							<view class="form-item flex1">
								<view class="label">结算单价/均价</view>
								<view class="value">￥{{item.price||'0.00'}}</view>
							</view>
							<view class="form-item flex1">
								<view class="label">商品数量</view>
								<view class="value">{{item.flowerNum||0}}扎</view>
							</view>
						</view>
						<view class="flex">
							<view class="form-item">
								<view class="label">订单数量</view>
								<view class="value">{{item.orderNum}}单</view>
							</view>
							<view class="form-item">
								<view class="label">买家数量</view>
								<view class="value">{{item.customerNum}}个</view>
							</view>
						</view>
						<view class="flex">
							<view class="form-item">
								<view class="label">服务费</view>
								<view class="value">￥{{item.serviceFee||0}}</view>
							</view>
							<view class="form-item">
								<view class="label">售后理赔</view>
								<view class="value">￥{{item.salesFee||0}}</view>
							</view>
						</view>
						<view class="flex">
							<view class="form-item">
								<view class="label">质检扣款</view>
								<view class="value">￥{{item.checkFee||0}}</view>
							</view>
							<view class="form-item">
								<view class="label">集货站运费</view>
								<view class="value">￥{{item.stationFee||0}}</view>
							</view>
						</view>
					</view>
					<!-- <view class="line"></view> -->
					<view class="form">
						<view class="flex">
							<view class="form-item">
								<view class="label title-bold">交易合计</view>
								<view class="value t-red">￥{{item.totalAmount||0}}</view>
							</view>
							<view class="form-item">
								<view class="label title-bold">结算金额</view>
								<view class="value t-red">￥{{item.settlementAmount||0}}</view>
							</view>
						</view>
					</view>
				</view>
			</view>
		</view>

		<!-- 判断是否到底了，自动吧 -->
		<footer-msg :more="page.total>0&&page.total>page.current*page.size"></footer-msg>

	</view>
</template>

<script>
import moment from 'moment'
	export default {
		data() {
			return {
				tabIndex: 0,
				query: {
					startDateStr: '',
					endDateStr: '',
				}
			}
		},
		onLoad() {
			var currentMonthStr = this.$util.toDate(new Date()).substring(0, 8) + '01'
			this.query.startDateStr = currentMonthStr
			var lastMonthDate = new Date(new Date(this.$util.toDate(new Date(currentMonthStr).getTime() + 3600000 * 24 *
				40).substring(0, 8) + '01').getTime() - 3600000 * 24 * 1)
			this.query.endDateStr = this.$util.toDate(lastMonthDate)
			// #ifdef PUB_PARTNER
			this.listApi = '/api/partner/settlement/list'			
			// #endif
			// #ifdef PUB_SUPPLIER
			this.listApi = '/api/supplier/settlement/list'						
			// #endif
			this.getList()

		},
		onReachBottom() {
			this.getMore()
		},
		async onPullDownRefresh() {
			this.page.current = 1
			await this.getList()
			uni.stopPullDownRefresh()
		},
		methods: {
			toDetail(item) {
				uni.navigateTo({
					url: `/sub_pages/supplier/order-settlement/order-settlement-detail?id=${item.id}`
				})
			},
			changeIndex(index) {
				if (this.tabIndex !== index) {
					this.tabIndex = index
					// 刷新 query
					if (index === 0) {
						var currentMonthStr = this.$util.toDate(new Date()).substring(0, 8) + '01'
						this.query.startDateStr = currentMonthStr
						// moment().startOf
						var lastMonthDate = new Date(new Date(this.$util.toDate(new Date(currentMonthStr).getTime() +
							3600_000 * 24 * 40).substring(0, 8) + '01').getTime() - 3600_000 * 24 * 1)
						this.query.endDateStr = this.$util.toDate(lastMonthDate)
					} else {
						this.query.startDateStr = ''
						this.query.endDateStr = ''
					}
					this.refreshList()

				}
			},
		}
	}
</script>

<style lang="scss" scope>
	.order-sale-list {
		.order-sale-item {
			margin-bottom: 20rpx;
			padding: 22rpx;

			.title {
				font-weight: 600;
				font-size: 28rpx;
				color: #000000;
				line-height: 40rpx;
			}

			.line {
				min-height: 2rpx;
				background-color: #EEEEEE;
				margin-top: 16rpx;
				margin-bottom: 16rpx;
			}

			.form {
				// display: flex;
				// flex-wrap: wrap;

				.form-item {
					flex: 1;
					// min-width: 40%;
					// max-width: 50%;

					.label {
						font-weight: 400;
						font-size: 24rpx;
						color: #666666;
						line-height: 34rpx;
					}

					.label::after {
						content: ":";
						font-weight: 400;
						font-size: 24rpx;
						color: #666666;
						line-height: 34rpx;
					}

					.value {
						font-weight: 400;
						font-size: 24rpx;
						color: #000000;
						line-height: 34rpx;
						text-align: center;
						flex: 1;
					}

					.value.red {
						color: #CF0000;
					}
				}

				.form-item.width100 {
					max-width: unset;
				}
			}
		}
	}
</style>